SMBBETA

Restore a List

Last updated Oct 10, 2026View as MarkdownAgent setup / MCP
POST
/v1/lists/{list_id}/restore

Restore an archived List and its retained private context using its current version.

Authorization

AuthorizationBearer <token>

Signed-in user's Supabase access token. Workspace-scoped operations also require SMB-Workspace-Id.

In: header

Path Parameters

list_id*string
Match^list_[0-7][0-9A-HJKMNP-TV-Z]{25}$

Header Parameters

Idempotency-Key*string
Length8 <= length <= 200
SMB-Workspace-Id*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/lists/string/restore" \  -H "Idempotency-Key: stringst" \  -H "SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "expected_version": 1  }'
{  "data": {    "id": "string",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9",    "name": "string",    "description": "string",    "definition": {      "schema_version": "smb.list.v1",      "subject_type": "business",      "rule": {        "kind": "field",        "field": "name",        "operator": "eq",        "value": "string"      }    },    "version": 1,    "lifecycle_status": "active",    "count": {      "status": "unknown",      "value": null,      "as_of": null    },    "columns": [      {        "column_id": "8f0515e3-00f6-4dd0-8153-321f1f40863d",        "name": "string",        "value_type": "text",        "position": 0      }    ]  },  "request_id": "string",  "action_receipt": {    "receipt_id": "64d0a161-468e-472a-b00e-a06ee9ab7de7",    "command_id": "7d510d78-7444-4252-aeac-9e473949661e",    "operation": "restore_list",    "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9"  },  "idempotent_replay": true}